function [string,ixc]=updatethermalconductivity(md,ixc,dvar,i)

ixc=ixc+1;
if strcmpi(md.analysis_driver,'matlab')
    string=sprintf('\tmd.thermalconductivity=Dakota.xC(%d);\n',ixc);
else
    string=sprintf('\tmd.thermalconductivity={%s};\n',dvar(i).descriptor);
end

end
